import { AccordionDetails, Accordion, Menu, Input } from "@material-ui/core";
import { BorderStyle } from "../Form/FormDesignConstants";
import React from "react";
export declare const EditLayerConfigArea: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const EditLayerStyledTypography: import("styled-components").StyledComponent<import("@material-ui/core/OverridableComponent").OverridableComponent<import("@material-ui/core").TypographyTypeMap<{}, "span">>, any, {}, never>;
export declare const EditLayerStyledAccordion: import("styled-components").StyledComponent<typeof Accordion, any, {}, never>;
export declare const EditLayerCloseButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").IconButtonTypeMap<{}, "button">>, any, {}, never>;
export declare const EditLayerStyledAccordionSummary: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").AccordionSummaryTypeMap<{}, "div">>, any, {}, never>;
export declare const EditLayerStyledAccordionDetails: import("styled-components").StyledComponent<typeof AccordionDetails, any, {}, never>;
export declare const ContextMenuForControl: import("styled-components").StyledComponent<typeof Menu, any, {}, never>;
export declare const ContainerDiv: import("styled-components").StyledComponent<"div", any, {
    colGap: number;
}, never>;
export declare const RowDiv: import("styled-components").StyledComponent<"div", any, {
    colGap: number;
    hasOverflow?: boolean | undefined;
}, never>;
export declare const ContainerDivider: import("styled-components").StyledComponent<"div", any, {
    lineColorBetweenContainers: string;
    lineWidthBetweenContainers: number;
    lineStyleBetweenContrainers: BorderStyle;
    colGap: number;
}, never>;
export declare const TitleInput: import("styled-components").StyledComponent<typeof Input, any, {}, never>;
export declare const StyledButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").ButtonTypeMap<{}, "button">>, any, {}, never>;
export declare const StyledIconButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").IconButtonTypeMap<{}, "button">>, any, {}, never>;
export declare const TopbarSaveButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").ButtonTypeMap<{}, "button">>, any, {}, never>;
export declare const TopbarViewButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").ButtonTypeMap<{}, "button">>, any, {}, never>;
export declare const TopbarIconButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").ButtonTypeMap<{}, "button">>, any, {}, never>;
export declare const TopbarIconBelowLabelDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TopbarDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const IconButtonWithTitle: React.FC<{
    action?: () => void;
    disabled?: boolean;
    title: string;
    icon: JSX.Element;
    testId?: string;
    selected?: boolean;
}>;
export declare const StyledButtonGroup: import("styled-components").StyledComponent<import("@material-ui/core/OverridableComponent").OverridableComponent<import("@material-ui/core").ButtonGroupTypeMap<{}, "div">>, any, {}, never>;
export declare const VerticalButton: import("styled-components").StyledComponent<import("@material-ui/core").ExtendButtonBase<import("@material-ui/core").ButtonTypeMap<{}, "button">>, any, {
    open: boolean;
}, never>;
